Bug 233835 - www/node10: fix on powerpc64
Summary: www/node10: fix on powerpc64
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Bradley T. Hughes
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-12-06 19:58 UTC by Piotr Kubaj
Modified: 2019-03-12 21:10 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (bhughes)


Attachments
patch (2.06 KB, patch)
2018-12-06 19:58 UTC, Piotr Kubaj
no flags Details | Diff
v2 (2.36 KB, patch)
2019-01-28 20:17 UTC, Piotr Kubaj
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2018-12-06 19:58:41 UTC
Created attachment 199908 [details]
patch

There are two issues with this port on powerpc64:
1. DTRACE is enabled by default, but it doesn't work on powerpc64,
2. GCC7 from ports is used, but links to base libstdc++.

Tested on power64 and amd64.

Hardware sponsored by IntegriCloud.
Comment 1 Piotr Kubaj freebsd_committer 2019-01-28 20:17:32 UTC
Created attachment 201490 [details]
v2

Fix for build with BUNDLED_SSL disabled.
Comment 2 Piotr Kubaj freebsd_committer 2019-02-12 11:08:47 UTC
I can see my Makefile changes were partially committed, but extra-patch-common.gypi wasn't. Do you want me to modify my patch?
Comment 3 commit-hook freebsd_committer 2019-03-12 21:07:38 UTC
A commit references this bug:

Author: bhughes
Date: Tue Mar 12 21:07:25 UTC 2019
New revision: 495526
URL: https://svnweb.freebsd.org/changeset/ports/495526

Log:
  www/node10: set environment variables for host build

  The Node.js build system supports cross-compilation via node-gyp, which
  picks up CC, CXX, LINK, C*FLAGS, and LDFLAGS from the environment for the
  target build, but not for the host. We need to set the environment variables
  for the "host" build.

  This unbreaks the build on powerpc64.

  PR:		233835
  Reported by:	Piotr Kubaj <pkubaj@anongoth.pl>
  Sponsored by:	Miles AS
  Differential Revision:	https://reviews.freebsd.org/D19250

Changes:
  head/www/node10/Makefile
Comment 4 Bradley T. Hughes freebsd_committer 2019-03-12 21:10:32 UTC
Committed, thanks for the report :)